HanMacWrdJParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
HanMacWrdJParserInternal::State Struct Reference

Internal: the state of a HanMacWrdJParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
long | m_zonesListBegin
| the list of zone begin More...
std::map< long, MWAWEntry > | m_zonesMap
| a map of entry: filepos->zone More...
std::vector< int > | m_zonesIdList
| an internal flag, used to know the actual id of a zone More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...
long | m_headerId
| the header text zone id or 0 More...
long | m_footerId
| the footer text zone id or 0 More...

## Detailed Description

Internal: the state of a HanMacWrdJParser.

## Constructor & Destructor Documentation

## § State()

HanMacWrdJParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## § m_actPage

int HanMacWrdJParserInternal::State::m_actPage

the actual page

## § m_footerHeight

int HanMacWrdJParserInternal::State::m_footerHeight

the footer height if known

## § m_footerId

long HanMacWrdJParserInternal::State::m_footerId

the footer text zone id or 0

## § m_headerHeight

int HanMacWrdJParserInternal::State::m_headerHeight

the header height if known

## § m_headerId

long HanMacWrdJParserInternal::State::m_headerId

the header text zone id or 0

## § m_numPages

int HanMacWrdJParserInternal::State::m_numPages

the number of page of the final document

## § m_zonesIdList

std::vector<int> HanMacWrdJParserInternal::State::m_zonesIdList

an internal flag, used to know the actual id of a zone

## § m_zonesListBegin

long HanMacWrdJParserInternal::State::m_zonesListBegin

the list of zone begin

## § m_zonesMap

std::map<long, MWAWEntry> HanMacWrdJParserInternal::State::m_zonesMap

a map of entry: filepos->zone

The documentation for this struct was generated from the following file:

- HanMacWrdJParser.cxx